| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::detail::AffineBestOf2NearestMatcher Class Reference
Images stitching » Features Finding and Images Matching

Features matcher similar to cv::detail::BestOf2NearestMatcher which finds two best matches for each feature and leaves the best one only if the ratio between descriptor distances is greater than the threshold match_conf. More...

`#include <opencv2/stitching/detail/matchers.hpp>`

Collaboration diagram for cv::detail::AffineBestOf2NearestMatcher:

## Public Member Functions
| AffineBestOf2NearestMatcher (bool full_affine=false, bool try_use_gpu=false, float match_conf=0.3f, int num_matches_thresh1=6)
| Constructs a "best of 2 nearest" matcher that expects affine transformation between images.
Public Member Functions inherited from cv::detail::BestOf2NearestMatcher
| BestOf2NearestMatcher (bool try_use_gpu=false, float match_conf=0.3f, int num_matches_thresh1=6, int num_matches_thresh2=6, double matches_confidence_thresh=3.)
| Constructs a "best of 2 nearest" matcher.
void | collectGarbage () CV_OVERRIDE
| Frees unused memory allocated before if there is any.
Public Member Functions inherited from cv::detail::FeaturesMatcher
virtual | ~FeaturesMatcher ()
bool | isThreadSafe () const
void | operator() (const ImageFeatures &features1, const ImageFeatures &features2, MatchesInfo &matches_info)
void | operator() (const std::vector< ImageFeatures > &features, std::vector< MatchesInfo > &pairwise_matches, const cv::UMat &mask=cv::UMat())
| Performs images matching.

## Protected Member Functions
void | match (const ImageFeatures &features1, const ImageFeatures &features2, MatchesInfo &matches_info) CV_OVERRIDE
| This method must implement matching logic in order to make the wrappers detail::FeaturesMatcher::operator()_ work.
Protected Member Functions inherited from cv::detail::BestOf2NearestMatcher
void | match (const ImageFeatures &features1, const ImageFeatures &features2, MatchesInfo &matches_info) CV_OVERRIDE
| This method must implement matching logic in order to make the wrappers detail::FeaturesMatcher::operator()_ work.
Protected Member Functions inherited from cv::detail::FeaturesMatcher
| FeaturesMatcher (bool is_thread_safe=false)
virtual void | match (const std::vector< ImageFeatures > &features, std::vector< MatchesInfo > &pairwise_matches, const cv::UMat &mask=cv::UMat())
| This method implements logic to match features between arbitrary number of features. By default this checks every pair of inputs in the input, but the behaviour can be changed by subclasses.

## Protected Attributes
bool | full_affine_
Protected Attributes inherited from cv::detail::BestOf2NearestMatcher
Ptr< FeaturesMatcher > | impl_
double | matches_confidence_thresh_
int | num_matches_thresh1_
int | num_matches_thresh2_
Protected Attributes inherited from cv::detail::FeaturesMatcher
bool | is_thread_safe_

## Additional Inherited Members
Static Public Member Functions inherited from cv::detail::BestOf2NearestMatcher
static Ptr< BestOf2NearestMatcher > | create (bool try_use_gpu=false, float match_conf=0.3f, int num_matches_thresh1=6, int num_matches_thresh2=6, double matches_confidence_thresh=3.)

## Detailed Description

Features matcher similar to cv::detail::BestOf2NearestMatcher which finds two best matches for each feature and leaves the best one only if the ratio between descriptor distances is greater than the threshold match_conf.

Unlike cv::detail::BestOf2NearestMatcher this matcher uses affine transformation (affine transformation estimate will be placed in matches_info).

See also
  cv::detail::FeaturesMatcher cv::detail::BestOf2NearestMatcher

## Constructor & Destructor Documentation

## ◆ AffineBestOf2NearestMatcher()

cv::detail::AffineBestOf2NearestMatcher::AffineBestOf2NearestMatcher | ( | bool | full_affine = false,
|  | bool | try_use_gpu = false,
|  | float | match_conf = 0.3f,
|  | int | num_matches_thresh1 = 6 )
| inline

Python:
| cv.detail.AffineBestOf2NearestMatcher( | [, full_affine[, try_use_gpu[, match_conf[, num_matches_thresh1]]]] | ) -> | <detail_AffineBestOf2NearestMatcher object>

Constructs a "best of 2 nearest" matcher that expects affine transformation between images.

Parameters

  full_affine | whether to use full affine transformation with 6 degress of freedom or reduced transformation with 4 degrees of freedom using only rotation, translation and uniform scaling
  try_use_gpu | Should try to use GPU or not
  match_conf | Match distances ration threshold
  num_matches_thresh1 | Minimum number of matches required for the 2D affine transform estimation used in the inliers classification step

See also
  cv::estimateAffine2D cv::estimateAffinePartial2D

## Member Function Documentation

## ◆ match()

void cv::detail::AffineBestOf2NearestMatcher::match | ( | const ImageFeatures & | features1,
|  | const ImageFeatures & | features2,
|  | MatchesInfo & | matches_info )
| protected virtual

This method must implement matching logic in order to make the wrappers detail::FeaturesMatcher::operator()_ work.

Parameters

  features1 | first image features
  features2 | second image features
  matches_info | found matches

Implements cv::detail::FeaturesMatcher.

## Member Data Documentation

## ◆ full_affine_

bool cv::detail::AffineBestOf2NearestMatcher::full_affine_
| protected

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/matchers.hpp